Bug 866565 - "gluster volume reset <volume_name> <volume_option>" command execution is not resetting the value of the volume option
"gluster volume reset <volume_name> <volume_option>" command execution is not...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Krutika Dhananjay
Rahul Hinduja
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:55 EDT by spandura
Modified: 2014-04-23 19:21 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The variable "key_fixed" used to look up the dictionary was never initialised to the actual key. Consequence: 'volume reset' does not reset an option when it is specified in the <domain>.<specifier> format. Ex: gluster volume reset <volname> performance.cache-size The command succeeds although the option is never reset, as seen from the output of volume info. Fix: If "key_fixed" is not initialised, use "key" for fetching the value from the dictionary. Result: It is now possible to reset options specified in <domain>.<specifier> format.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 19:21:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandura 2012-10-15 11:55:35 EDT
Description of problem:
-----------------------
"gluster volume reset <volume_name> <volume_option>" command execution is not resetting the value of the volume option . 

"gluster volume reset <volume_name>" is working as expected. 

[10/15/12 - 21:15:48 root@rhs-client6 ~]# gluster v info replicate
 
Volume Name: replicate
Type: Replicate
Volume ID: d24fc5c1-74a7-46de-99ff-f7d827408993
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: rhs-client6.lab.eng.blr.redhat.com:/disk0
Brick2: rhs-client7.lab.eng.blr.redhat.com:/disk0

[10/15/12 - 21:15:55 root@rhs-client6 ~]# gluster volume set replicate eager-lock on
Set volume successful

[10/15/12 - 21:16:09 root@rhs-client6 ~]# gluster v info replicate
 
Volume Name: replicate
Type: Replicate
Volume ID: d24fc5c1-74a7-46de-99ff-f7d827408993
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: rhs-client6.lab.eng.blr.redhat.com:/disk0
Brick2: rhs-client7.lab.eng.blr.redhat.com:/disk0
Options Reconfigured:
cluster.eager-lock: on

[10/15/12 - 21:16:11 root@rhs-client6 ~]# gluster volume reset replicate eager-lock
reset volume successful
[10/15/12 - 21:16:24 root@rhs-client6 ~]# gluster v info replicate
 
Volume Name: replicate
Type: Replicate
Volume ID: d24fc5c1-74a7-46de-99ff-f7d827408993
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: rhs-client6.lab.eng.blr.redhat.com:/disk0
Brick2: rhs-client7.lab.eng.blr.redhat.com:/disk0
Options Reconfigured:
cluster.eager-lock: on

Version-Release number of selected component (if applicable):
===============================================================
[10/15/12 - 21:18:25 root@rhs-client6 ~]# rpm -qa | grep gluster
glusterfs-geo-replication-3.3.0rhsvirt1-7.el6rhs.x86_64
vdsm-gluster-4.9.6-14.el6rhs.noarch
gluster-swift-plugin-1.0-5.noarch
gluster-swift-container-1.4.8-4.el6.noarch
org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2_0.2-1.noarch
glusterfs-3.3.0rhsvirt1-7.el6rhs.x86_64
glusterfs-server-3.3.0rhsvirt1-7.el6rhs.x86_64
glusterfs-rdma-3.3.0rhsvirt1-7.el6rhs.x86_64
gluster-swift-proxy-1.4.8-4.el6.noarch
gluster-swift-account-1.4.8-4.el6.noarch
gluster-swift-doc-1.4.8-4.el6.noarch
glusterfs-fuse-3.3.0rhsvirt1-7.el6rhs.x86_64
glusterfs-debuginfo-3.3.0rhsvirt1-7.el6rhs.x86_64
gluster-swift-1.4.8-4.el6.noarch
gluster-swift-object-1.4.8-4.el6.noarch

[10/15/12 - 21:18:58 root@rhs-client6 ~]# gluster --version
glusterfs 3.3.0rhsvirt1 built on Oct  8 2012 15:23:00
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

How reproducible:
==================
Often
Comment 4 Rahul Hinduja 2013-01-16 04:17:19 EST
Verified with build: glusterfs-3.3.0.5rhs-40.el6rhs.x86_64.rpm


Log Snippet:
============


[root@rhs-client12 ~]# rpm -qa | grep gluster
vdsm-gluster-4.9.6-14.el6rhs.noarch
gluster-swift-plugin-1.0-5.noarch
gluster-swift-container-1.4.8-4.el6.noarch
org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2_0.2-1.noarch
glusterfs-server-3.3.0.5rhs-40.el6rhs.x86_64
glusterfs-rdma-3.3.0.5rhs-40.el6rhs.x86_64
gluster-swift-proxy-1.4.8-4.el6.noarch
gluster-swift-account-1.4.8-4.el6.noarch
gluster-swift-doc-1.4.8-4.el6.noarch
glusterfs-fuse-3.3.0.5rhs-40.el6rhs.x86_64
glusterfs-geo-replication-3.3.0.5rhs-40.el6rhs.x86_64
gluster-swift-1.4.8-4.el6.noarch
gluster-swift-object-1.4.8-4.el6.noarch
glusterfs-3.3.0.5rhs-40.el6rhs.x86_64
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# gluster --version 
glusterfs 3.3.0.5rhs built on Dec 19 2012 02:10:50
Repository revision: v3.3.0-141-g6e3efac
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# gluster volume info vol-dr
 
Volume Name: vol-dr
Type: Distributed-Replicate
Volume ID: 75253701-3161-4c49-9177-873b315bc26f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.36.36:/brick1
Brick2: 10.70.36.37:/brick1
Brick3: 10.70.36.41:/brick1
Brick4: 10.70.36.42:/brick1
Options Reconfigured:
performance.quick-read: off
performance.read-ahead: off
performance.io-cache: off
performance.stat-prefetch: off
storage.linux-aio: enable
cluster.eager-lock: enable
storage.owner-uid: 36
storage.owner-gid: 36
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# gluster volume reset vol-dr eager-lock
reset volume successful
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]# gluster volume info vol-dr
 
Volume Name: vol-dr
Type: Distributed-Replicate
Volume ID: 75253701-3161-4c49-9177-873b315bc26f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.36.36:/brick1
Brick2: 10.70.36.37:/brick1
Brick3: 10.70.36.41:/brick1
Brick4: 10.70.36.42:/brick1
Options Reconfigured:
performance.quick-read: off
performance.read-ahead: off
performance.io-cache: off
performance.stat-prefetch: off
storage.linux-aio: enable
storage.owner-uid: 36
storage.owner-gid: 36
[root@rhs-client12 ~]# 
[root@rhs-client12 ~]#
Comment 5 Divya 2013-02-12 05:38:24 EST
Krutika,

This bug has been added to Update 4 errata. Could you provide your inputs in doc text field which will enable me to update errata??

Thanks,
Divya
Comment 6 Harold Miller 2013-07-16 17:54:32 EDT
SFDC Case 00808328 -

gluster volume quota file-cloud enable; gluster volume info file-cloud; gluster volume reset file-cloud; gluster volume info file-cloud;

Fails to reset quota, but

gluster volume quota file-cloud enable; gluster volume info file-cloud; gluster volume reset file-cloud force; gluster volume info file-cloud;

works.
Comment 7 Scott Haines 2014-04-23 19:21:55 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0691.html

Note You need to log in before you can comment on or make changes to this bug.